Function
nextIs
Query whether the next record is of a given type.
bool nextIs(recordReader, tag)
Include Headers
seqan/stream.h
Parameters

recordReader | The RecordReader to peek into. Types: RecordReader Remarks: Stays unchanged.
tag | Tag to select the given record type.

Remarks
The checks are mostly heuristic, mostly looking at one or few characters from recordReader.
Return Values
bool indicating whether the next record in recordReader is of type given by tag.
Member of
RecordReader
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:12:57